import * as React from 'react';
import { NextPage } from 'next';
import * as TesseractNumber from '@tesseract-design/web-number-react';
import {Section, Subsection} from '@/components/Section';

const NumberPage: NextPage = () => {
  return (
    <main className="my-16 md:my-32">
      <Section title="Spinner">
        <Subsection title="Default">
          <TesseractNumber.Spinner
            min={-100}
            max={100}
            step="any"
            label="Step"
          />
        </Subsection>
      </Section>
      <Section title="Slider">
        <Subsection title="Default">
          <TesseractNumber.Slider
            min={-100}
            max={100}
          />
        </Subsection>
        <Subsection title="Default (with tick marks)">
          <TesseractNumber.Slider
            min={-100}
            max={100}
          >
            <option value={25}>
              low
            </option>
            <option value={50} />
          </TesseractNumber.Slider>
        </Subsection>
        <Subsection title="Vertical">
          <TesseractNumber.Slider
            min={-100}
            max={100}
            orient="vertical"
          >
            <option value={25}>
              low
            </option>
            <option value={50} />
          </TesseractNumber.Slider>
          A
        </Subsection>
      </Section>
      <Section title="Matrix">
        <h2>
          Matrix
        </h2>
        <div>
          TODO
          <input type="range" />
          <input type="range" />
        </div>
      </Section>
    </main>
  )
}

export default NumberPage;
